/*------------------------------------*\
    #SLIDER
\*------------------------------------*/
/**
 * Slider object based on slick.js.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

.#{$inuit-namespace}slider,
%#{$inuit-namespace}slider {
    img {
        margin: 0 auto;
        width: 100%;
    }
}

.#{$inuit-namespace}slider__list,
%#{$inuit-namespace}slider__list {
    @include clearfix;

    list-style: none;
    margin: 0;
    padding: 0;
}

.#{$inuit-namespace}slider__item,
%#{$inuit-namespace}slider__item {
    outline: none;
}

.#{$inuit-namespace}slider__nav,
%#{$inuit-namespace}slider__nav {
    @extend %slick-dots !optional;
    margin: drk-halve($drk-base-unit) 0;
}

.#{$inuit-namespace}slider__arrow,
%#{$inuit-namespace}slider__arrow {
    display: none;
}

.#{$inuit-namespace}slider__arrow,
%#{$inuit-namespace}slider__arrow {
    background: transparent;
    border: 0;
    color: $drk-color-white;
    height: 50px;
    margin-top: rem-calc(-35px);
    outline: none;
    padding: 0;
    position: absolute;
    width: 100px;
    top: 50%;

    @include drk-hover {
        color: $drk-color-blue;
    }

    &--prev {
        left: 0;
    }

    &--next {
        right: 0;
    }

}

.#{$inuit-namespace}slider__arrow-icon,
%#{$inuit-namespace}slider__arrow-icon {
    fill: currentColor;
    height: rem-calc(50px);
    width: rem-calc(50px);
}

.slick-list {
    max-width: 100%;
}
